#include "universitystudent.hpp"
#include "course.hpp"
using namespace std;

UniversityStudent::UniversityStudent(const string& n) : UniversityCitizen(n)
{
}

void UniversityStudent::newCourse(Course* c)
{
    if (c->newStudent(this)) // ha a kurzus felveszi a hallgatt
        _courses.push_back(c); // csak akkor veheti fel a hallgat a kurzust
}

int UniversityStudent::numberOfCredits() const
{
    int c = 0;
    for (int i = 0; i < _courses.size(); i++)
        c += _courses[i]->credits();

    return c;
}
